## gnome-boxes 48.0

=== debian/changelog ===
gnome-boxes (48.0-2) unstable; urgency=medium

  * Add Depends: libvirt-daemon-system and remove Recommends & Depends
    that it pulls in (Closes: #825120)
    (LP: #1768843, #1905749, #2018430, #2076917, #2081597)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 11 Apr 2025 16:50:53 -0400

gnome-boxes (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Mar 2025 09:24:09 -0400

=== debian/control ===
Source: gnome-boxes
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
X-DH-Compat: 14
Build-Depends: appstream-util <!nocheck>,
               debhelper (>= 13.17),
               desktop-file-utils <!nocheck>,
               dh-sequence-user-session-migration,
               gobject-introspection (>= 0.9.6),
               itstool,
               libarchive-dev (>= 3.0.0),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.52.0),
               libgtk-3-dev (>= 3.22.20),
               libgudev-1.0-dev (>= 165),
               libhandy-1-dev (>= 1.5.90),
               libosinfo-1.0-dev (>= 1.10.0-2~),
               libportal-gtk3-dev (>= 0.7),
               libsecret-1-dev,
               libspice-client-gtk-3.0-dev (>= 0.41-2~),
               libusb-1.0-0-dev (>= 1.0.9),
               libvirt-dev,
               libvirt-glib-1.0-dev (>= 5.0.0),
               libvte-2.91-dev (>= 0.40.2),
               libwebkit2gtk-4.1-dev,
               libxml2-dev (>= 2.7.8),
               libxml2-utils,
               meson (>= 0.59.0),
               valac (>= 0.36.0)
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git
Homepage: https://apps.gnome.org/Boxes/

Package: gnome-boxes
Architecture: any
Depends: genisoimage,
         libosinfo-bin,
         libvirt-daemon-system,
         user-session-migration,
Suggests: gnome-connections
Description: Simple GNOME app to access virtual systems
 GNOME Boxes is a desktop client to view or use local virtual machines.
 Boxes is intentionally simple and easy to use.
 .
 Hardware virtualization is required.
 .
 Previously, GNOME Boxes could also be used to connect to remote computers,
 but that feature is now provided by the GNOME Connections app.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@ --without=single-binary

override_dh_makeshlibs:
	dh_makeshlibs --no-scripts

execute_before_dh_installgsettings:
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	sed -i "s#URL#'https://git.launchpad.net/~ubuntu-desktop/gnome-boxes/plain/recommended-downloads.xml?h=oracular'#g" \
		debian/gsettings-override
else
	sed -i "s#URL#'https://salsa.debian.org/gnome-team/gnome-boxes/-/raw/debian/trixie/debian/recommended-downloads.xml'#g" \
		debian/gsettings-override
endif

## gnome-boxes 49~rc.1

=== debian/changelog ===
gnome-boxes (49~rc.1-1) unstable; urgency=medium

  * New upstream release
    - Default virtual machine storage disks to 30 GiB (from 20 Gib)
  * Don't include old FSF address in debian/copyright

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Sep 2025 19:22:45 -0400

gnome-boxes (48.0-4) unstable; urgency=medium

  * Team upload
  * d/recommended-downloads.xml: Recommend Debian 13 instead of 12
  * d/control: Replace libgirepository1.0-dev B-D.
    Use gobject-introspection (>= 1.80) and gir1.2-gio-2.0-dev instead.
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Sep 2025 10:53:31 +0100

gnome-boxes (48.0-3) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Update Ubuntu recommended-downloads series to questing

  [ Matthias Klumpp ]
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 15:22:45 +0200

## gnome-boxes 49.0

=== subprojects/libovf-glib/meson_options.txt ===
# Subproject
option('package_subdir', type: 'string',
  description: 'Subdirectory to append to all installed files, for use as subproject'
)

option('tests', type: 'boolean', value: 'false')

=== debian/changelog ===
gnome-boxes (49.0-2) unstable; urgency=medium

  * Remove !nocheck annotation from Build-Depends: desktop-file-utils
    (Closes: #1116744)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 30 Sep 2025 11:09:06 -0400

gnome-boxes (49.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 08:35:39 -0400

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 X-DH-Compat: 14
-Build-Depends: appstream-util <!nocheck>,
+Build-Depends: appstream <!nocheck>,
                debhelper (>= 13.17),
-               desktop-file-utils <!nocheck>,
+               desktop-file-utils,
                dh-sequence-user-session-migration,
-               gobject-introspection (>= 0.9.6),
+               gir1.2-gio-2.0-dev,
+               gobject-introspection (>= 1.80),
                itstool,
                libarchive-dev (>= 3.0.0),
-               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.52.0),
                libgtk-3-dev (>= 3.22.20),
                libgudev-1.0-dev (>= 165),
@@ -29,8 +29,7 @@
                libxml2-utils,
                meson (>= 0.59.0),
                valac (>= 0.36.0)
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-boxes
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-boxes.git
 Homepage: https://apps.gnome.org/Boxes/

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 execute_before_dh_installgsettings:
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
-	sed -i "s#URL#'https://git.launchpad.net/~ubuntu-desktop/gnome-boxes/plain/recommended-downloads.xml?h=oracular'#g" \
+	sed -i "s#URL#'https://git.launchpad.net/~ubuntu-desktop/gnome-boxes/plain/recommended-downloads.xml?h=questing'#g" \
 		debian/gsettings-override
 else
 	sed -i "s#URL#'https://salsa.debian.org/gnome-team/gnome-boxes/-/raw/debian/trixie/debian/recommended-downloads.xml'#g" \

## gnome-boxes 49.1

=== debian/changelog ===
gnome-boxes (49.1-1) unstable; urgency=medium

  * New upstream release
  * Update recommended downloads URLs for resolute and forky

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 24 Nov 2025 09:05:14 -0500

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@ --without=single-binary

override_dh_makeshlibs:
	dh_makeshlibs --no-scripts

execute_before_dh_installgsettings:
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	sed -i "s#URL#'https://git.launchpad.net/~ubuntu-desktop/gnome-boxes/plain/recommended-downloads.xml?h=resolute'#g" \
		debian/gsettings-override
else
	sed -i "s#URL#'https://salsa.debian.org/gnome-team/gnome-boxes/-/raw/debian/forky/debian/recommended-downloads.xml'#g" \
		debian/gsettings-override
endif
